#!/bin/bash

###############################################################
# to print help message
# ||
# ||
# \/

print_help(){

    echo "#########################################################################"
    echo "Usage:   Q_partition.sh temperature pressure filename"
    echo "where the temperature and pressure are given in Kelvin and Pascal, respectively;"
    echo "the filename refers to a CFour output file obtained during a VIB job"
    echo ""
    echo "For example: Q_partition.sh 298.15 101325 output"
    echo ""
    echo "#########################################################################"
}
###############################################################

if [ $# -ne 3 ]; # three command line parameters (temperature, pressure, and a cfour VIB output file) are needed
then
    print_help;
    exit;
else
    if [ -f "$3" ]       # check if file exists.
    then
        temp=$1
        press=$2
        filename=$3
    else
        echo ""
        echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
        echo "File \"$3\" does not exist."
        echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
        echo ""
        exit $E_NOFILE
    fi
fi

Qmass.sh $filename
Qpoint.sh $filename
Qrots.sh $filename
Qfrequencies.sh $filename

Q_part.py $temp $press $filename

exit;
